package ir.myketBillingReactNative

import com.facebook.react.bridge.ReadableArray
import com.google.gson.Gson
import ir.myket.billingclient.util.Inventory
import ir.myket.billingclient.util.Purchase
import org.json.JSONArray
import org.json.JSONObject


fun Inventory.toJson(): String {
  return Gson().toJson(this)
}

fun Purchase.toJson(): String {
  return JSONObject().apply {
    put("itemType", itemType)
    put("orderId", orderId)
    put("packageName", packageName)
    put("sku", sku)
    put("purchaseTime", purchaseTime)
    put("purchaseState", purchaseState)
    put("developerPayload", developerPayload)
    put("token", token)
    put("originalJson", originalJson)
    put("signature", signature)
  }.toString()
}

fun ReadableArray.toStringList():MutableList<String>{
    return toArrayList().map {
      it as String
    }.toMutableList()
}

fun String.parseToPurchase(): Purchase {
  return Gson().fromJson(this,Purchase::class.java)

}
